> For the complete documentation index, see [llms.txt](https://learnpython.strivemath.com/p5-python-web/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://learnpython.strivemath.com/p5-python-web/reference/built-in-variables/mouse.md).

# Mouse

## `mouseX`

It tells the **x-coordinate** of the mouse relative to the **default origin** (either `TOP_LEFT` or `BOTTOM_LEFT`) in the **current** frame.

![](/files/EdJ3xSr4pr7B4ZHWg9Yc)

## `mouseY`

It tells the **y-coordinate** of the mouse relative to the **default origin** (either `TOP_LEFT` or `BOTTOM_LEFT`) in the **current** frame.

![](/files/IlUbPgBnBCy4Splvd5bn)

## `pmouseX`

It tells the **x-coordinate** of the mouse relative to the **default origin** (either `TOP_LEFT` or `BOTTOM_LEFT`) in the **previous** frame.

## `pmouseY`

It tells the **y-coordinate** of the mouse relative to the **default origin** (either `TOP_LEFT` or `BOTTOM_LEFT`) in the **previous** frame.

## `mouseMovedX`

It tells us how much did the **mouse move horizontally** since the last frame. It's then equivalent to the value `mouseX - pmouseX`

## `mouseMovedY`

It tells us how much did the **mouse move vertically** since the last frame. It's then equivalent to the value `mouseY - pmouseY`

## `winMouseX`

This built-in variable contains the current horizontal position of the mouse, relative to origin of the window.

## `winMouseY`

This built-in variable contains the current vertical position of the mouse, relative to origin of the window.

## `pwinMouseX`

This built-in variable contains the horizontal position of the mouse in the previous frame, relative to origin of the window.

## `pwinMouseY`

This built-in variable contains the vertical position of the mouse in the previous frame, relative to origin of the window.

## `mouseButton`

It stores the **label** of the last mouse button that was pressed. It returns one of three values `"left"`, `"right"`, `"center"`.\
When the sketch is run and nothing is pressed yet, it takes the value `0`.

You can use these **built-in constants** instead

```python
LEFT = "left"
RIGHT = "right"
CENTER = "center"
```

## `mouseIsPressed`

It returns the value `True` if **any** mouse button is **currently** pressed. It returns `False` otherwise.

{% hint style="info" %}
Find these documents helpful? Let the people who made them help your child learn to code at [**Strivemath**](https://www.strivemath.com/)<mark style="color:blue;">**!**</mark>

We'd love to hear your Feedback/Comments [here](https://docs.google.com/forms/d/e/1FAIpQLSeqorBAGTya-YBRI-VFjJxtgQtCz3ucGDI96K96sNyuaGuvdw/viewform?usp=sf_link).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://learnpython.strivemath.com/p5-python-web/reference/built-in-variables/mouse.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
